Create application
curl --request POST \
--url https://hireloam.com/api/v1/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Jane Smith",
"email": "[email protected]",
"linkedin_url": "https://linkedin.com/in/janesmith",
"notes": "Referred by John Doe"
}
'import requests
url = "https://hireloam.com/api/v1/applications"
payload = {
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Jane Smith",
"email": "[email protected]",
"linkedin_url": "https://linkedin.com/in/janesmith",
"notes": "Referred by John Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_id: '550e8400-e29b-41d4-a716-446655440000',
name: 'Jane Smith',
email: '[email protected]',
linkedin_url: 'https://linkedin.com/in/janesmith',
notes: 'Referred by John Doe'
})
};
fetch('https://hireloam.com/api/v1/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"candidate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"primary_email": "[email protected]",
"linkedin_url": "<string>"
},
"stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"order_index": 123
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
}{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}{
"error": {
"code": "not_found",
"message": "Application not found"
}
}{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}Applications
Create application
Add a new candidate to a job. Creates an application in the Inbox stage.
POST
/
applications
Create application
Authorizations
API key from Settings > API Keys
Body
application/json
Response
Application created
Show child attributes
Show child attributes
Was this page helpful?
⌘I